# Class: DragSlider

## DragSlider

#### new DragSlider($slider, options)

  DragSlider

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$slider` | HTMLElement |

  `options`

  Object

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `viewportSelector` | String |  |  |
  `listSelector` | String |  |  |
  `itemSelector` | String |  |  |
  `dragClass` | String |  |  |
  `onStartDrag` | function |  |  |
  `onDrag` | function |  |  |
  `onStopDrag` | function |  |  |
  `onSnap` | function |  |  |
  `onSnapUpdate` | function |  |  |
  `onMouseEnter` | function |  |  |
  `onMouseLeave` | function |  |  |
  `onInit` | function |  |  |
  `swipeTresholdMin` | Number | <optional> | 40 | in px
  `swipeTresholdSize` | Number | <optional> | 0.5 | in % (0.5 = 50% of the size of one item)

#### Search results